at.chipkarte.client.kse.soap

## Class Konsultationsdaten

- Object
- - at.chipkarte.client.kse.soap.Konsultationsdaten

-     public class Konsultationsdaten
      extends Object

  Enthält die Daten zu einer (nacherfassten) Konsultation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Konsultationsdaten()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SvPersonV2` | `getAngehoerigenDaten()` Daten des Versicherten, von dem sich der vorliegende Anspruch ableitet.
    `KonsultationsBeleg` | `getKonsultationsBeleg()` Konsultationsbeleg in bestimmter Version.
    `SvPersonV2` | `getVersichertenDaten()` Versichertendaten des Patienten, der diese Konsultation in Anspruch genommen hat.
    `void` | `setAngehoerigenDaten(SvPersonV2 angehoerigenDaten)`
    `void` | `setKonsultationsBeleg(KonsultationsBeleg konsultationsBeleg)`
    `void` | `setVersichertenDaten(SvPersonV2 versichertenDaten)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Konsultationsdaten

          public Konsultationsdaten()

  - ### Method Detail

    - #### setAngehoerigenDaten

          public void setAngehoerigenDaten(SvPersonV2 angehoerigenDaten)

    - #### setKonsultationsBeleg

          public void setKonsultationsBeleg(KonsultationsBeleg konsultationsBeleg)

    - #### setVersichertenDaten

          public void setVersichertenDaten(SvPersonV2 versichertenDaten)

    - #### getKonsultationsBeleg

          public KonsultationsBeleg getKonsultationsBeleg()

      Konsultationsbeleg in bestimmter Version.
      Returns:
        Konsultationsbeleg

    - #### getVersichertenDaten

          public SvPersonV2 getVersichertenDaten()

      Versichertendaten des Patienten, der diese Konsultation in Anspruch genommen hat.
      Returns:
        Versichertendaten der SV-Person

    - #### getAngehoerigenDaten

          public SvPersonV2 getAngehoerigenDaten()

      Daten des Versicherten, von dem sich der vorliegende Anspruch ableitet. Null, wenn es sich um keinen abgeleiteten Anspruch handelt.
      Die Felder Geschlecht und Geburtsdatum im Objekt SV-Person werden nicht versorgt.
      Returns:
        Angehörigendaten